Get all pipeline run records of the repository
GET/api/v8/repos/:owner/:repo/actions/runs
Request
Path Parameters
Repository space address (organization or individual's address path)
Repository path (path)
Query Parameters
User authorization code
Trigger Event Type, MR (MR event), Push (Push event), Manual (Manual trigger)
Status, COMPLETED (Completed), RUNNING (Running), FAILED (Failed), CANCELED (Canceled), IGNORED (Ignored), PAUSED (Paused), SUSPEND (Suspended)
Branch Filtering
Triggered User Name
PR Number
Pipeline ID
Line Name
The number of items per page, with a maximum of 100. The default is 20.
Current page number: defaults to 1
Start time, timestamp format
End time, timestamp format
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
Total quantity
workflow_runs object[]required
Production Line Operation Record
Pipeline Run ID
Pipeline ID
Status, COMPLETED (Completed), RUNNING (Running), FAILED (Failed), CANCELED (Canceled), IGNORED (Ignored), PAUSED (Paused), SUSPEND (Suspended)
Trigger Event Type, MR (MR event), Push (Push event), Manual (Manual trigger)
actor objectrequired
Trigger Person
Start Timestamp
End time stamp
Pause Time
{
"total_count": 0,
"workflow_runs": [
{
"workflow_run_id": "string",
"workflow_id": "string",
"workflow_name": "string",
"file_path": "string",
"title": "string",
"status": "string",
"event": "string",
"run_number": 0,
"head_branch": "string",
"head_sha": "string",
"actor": {
"id": "string",
"object_id": "string",
"login": "string",
"name": "string"
},
"start_time": 0,
"end_time": 0,
"pause_time": 0
}
]
}